>From 35d404905fc1744ae976e0d1ba9f4003799f0e1e Mon Sep 17 00:00:00 2001
From: Sebastien RAILLARD <sr@coexsi.fr>
Date: Wed, 25 Mar 2015 17:11:22 +0100
Subject: [PATCH 3/6] Change the RTP timestamp counter in order to use only local time so receivers can correctly manage their input buffer

---
 output.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

diff --git a/output.c b/output.c
index 1605425..1380d18 100644
--- a/output.c
+++ b/output.c
@@ -346,10 +346,16 @@ static void output_Flush( output_t *p_output )
         rtp_set_hdr( p_rtp_hdr );
         rtp_set_type( p_rtp_hdr, RTP_TYPE_TS );
         rtp_set_seqnum( p_rtp_hdr, p_output->i_seqnum++ );
+        /* Older RTP timestamp calculation */
+        /*
         rtp_set_timestamp( p_rtp_hdr,
                            p_output->i_ref_timestamp
                             + (p_packet->i_dts - p_output->i_ref_wallclock)
                                * 9 / 100 );
+        */
+        /* New timestamp based only on local time when sent */
+        /* 90 kHz clock = 90000 counts per second */
+        rtp_set_timestamp( p_rtp_hdr, i_wallclock * 9 / 100);
         rtp_set_ssrc( p_rtp_hdr, p_output->config.pi_ssrc );
 
         i_iov++;
-- 
1.7.0.4

